<?php
    
    $meta_template 	= "template-contact.php";
    $meta_posttype 	= "page";
    $meta_title    	= "Contact Info & Options";
    $meta_context  	= "normal";
    $meta_priority 	= "high";
    $meta_id       	= "arixwpcontact-meta";
    $meta_nonce    	= $meta_id . "-nonce";
    $nmp_meta      	= new NMP_Meta();
 	$color 		 	= get_option( PREFIX . 'global_color_scheme', 			NMP_COLOR_SCHEME );	
	
    $nmp_meta->set_postId();
    $nmp_meta->set_template();
    $nmp_template  = $nmp_meta->get_template();
	
	// Load in Contact Info from the theme settings panel.
	
		$nmp_contact_address		= get_option( PREFIX . 'contact_info_address', 	'' );
		$nmp_contact_city		= get_option( PREFIX . 'contact_info_city', 	'' );
		$nmp_contact_state		= get_option( PREFIX . 'contact_info_state', 	'' );
		$nmp_contact_zip			= get_option( PREFIX . 'contact_info_zip', 	'' );
		$nmp_contact_country		= get_option( PREFIX . 'contact_info_country', 	'' );
		
    
    if ($nmp_template == $meta_template) {
		
        $nmp_meta->set_meta(array(
       
            //This is the id applied to the meta box
            'id'         => $meta_id,
            
            //This is the post type the meta is for
            'post_type'  => $meta_posttype,
            
            //This is the template to show the meta for
            'template'   => $meta_template,
            
            //This is the nonce for this meta
            'nonce_name' => $meta_nonce,
           
            //This is the title that appears on the meta box container
            'title'      => $meta_title,
    
            //This defines the part of the page where the edit screen section should be shown
            'context'    => $meta_context,    
           
            //This sets the priority within the context where the boxes should show
            'priority'   => $meta_priority,
       
			//Here we define all the fields we want in the meta box
			'fields' => array(
			
			// Tagline	
			
				array (
					'before' 	=> '',
					'after' 	=> '',
					'name' 		=> __( 'Tagline', THEMENAME ),    
					'desc' 		=> '',
					'id'		=> '_nmp_tagline',
					'type'		=>'text',
					'default' 	=> ''
				),			
				
	
			// Sidebar Location
						
				array (
					'before' 	=> '',
					'after' 	=> '',
					'name' 		=> __( 'Sidebar Location', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_nmp_sidebar_page',
					'type' 		=> 'radio', // text,textarea,select,radio,checkbox
					'default' 	=> 'default',
					'options' 	=> array(
						array('name' => __( ' Right', THEMENAME ), 'value' => 'right'),
						array('name' => __( ' Left', THEMENAME ), 'value' => 'left'),
						array('name' => __( ' None', THEMENAME ), 'value' => 'none'),
						array('name' => __( ' Global', THEMENAME ), 'value' => 'default')
					)								
				),	
				
			// Color Choices
						
				array(
					'before' 		=> '',
					'after' 		=> '',
					'colorpicker' 	=> '',
					'name' 			=> __( 'Color Scheme:', THEMENAME ),
					'desc' 			=> '',
					'id' 			=> '_nmp_post_color_scheme',
					'default'		=> 'default',
					'type' 			=> 'radio', // text,textarea,select,radio,checkbox
					'options' 		=> array(
									array('name' => __( ' Blue', THEMENAME ), 'value' => 'blue'),
									array('name' => __( ' Cyan', THEMENAME ), 'value' => 'cyan'),
									array('name' => __( ' Green', THEMENAME ), 'value' => 'green'),
									array('name' => __( ' Global', THEMENAME ), 'value' => 'default')
					)									
				),	

			// Google Map Options
			
				array(
					'before' 		=> '',
					'after' 		=> '',
					'colorpicker' 	=> '',
					'name' 			=> __( 'Show Google Map:', THEMENAME ),
					'desc' 			=> '',
					'id' 			=> '_nmp_contact_map',
					'default'		=> 'yes',
					'type' 			=> 'radio', // text,textarea,select,radio,checkbox
					'options' 		=> array(

									array('name' => __( ' Yes', THEMENAME ), 'value' => 'yes'),
									array('name' => __( ' No', THEMENAME ), 'value' => 'no')
					)									
				),
				

			// Contact Form Options
				
				array(
					'before'    => '',
					'name' 		=> __( 'Email (comma-separated)', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_nmp_mailto',
					'type' 		=> 'text',
					'default' 	=> ''
					),
					
				array(
					'name' 		=> __( 'Department (comma-separated)', THEMENAME ),
					'desc' 		=> __( 'If using multiple emails, each entry matches the corresponding Department below.', THEMENAME),
					'id' 		=> '_nmp_mailtodept',
					'type' 		=> 'text',
					'default' 	=> ''
					),
					
				array(
					'name' 		=> __( 'Subject', THEMENAME ),
					'desc' 		=> '',
					'id' 		=> '_nmp_mailsubject',
					'type' 		=> 'text',
					'default' 	=> ''
					),

			)
		));
        
        $nmp_meta->init_meta();
    }
    
    $nmp_meta = null;