<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Contact Info [contact_form container="unboxed" ]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_contact_form_sc( $atts, $content=null ) {
	
			STATIC $i = 1;
			$i++;
			
			global $post;
			
			extract( shortcode_atts( array(
				'class'				=> 'nmp_contact_form',
				'title'				=> NULL,
				'subtitle'			=> NULL,
				'dept'				=> NULL,
				'email'				=> NMP_CONTACT_FORM_EMAIL,
				'subject'			=> NMP_CONTACT_FORM_SUBJECT
			), $atts ) );

			$append = $class . '_' . $i;
			
			$dept = trim( $dept );
			$email = trim( $email );
			
			
			// Check for an email address
			
				if ( $email == "" ) {
				
					_e('You must define at least one email address to use the Contact Form.', THEMENAME);
					$passedAll = false;
					
				} else {
				
					$passedAll = true;  
					
				}			
			

			ob_start();
			
			echo '<div class="obj-contact ' . $append . '">';
			

			if ( $title ) {
				
				if ( $subtitle )
					echo $title;
				else
					echo $title .'<br style="margin-bottom: 1em;" />';
				
			}
				
			if ( $subtitle )
				echo '<p class="subtitle">' . $subtitle . '</p>';
				
						
						if ($passedAll) {
							
							$url 						= '';
							$message					= '';
							$name_error     			= '';
							$dept_error      			= '';
							$email_error     			= '';
							$subject_error   			= '';
							$comment_error   			= '';
							$nmp_contact_form_name 		= '';
							$nmp_contact_form_email 		= '';
							$nmp_contact_form_subject 	= '';
							$nmp_contact_form_message 	= '';
					
							// See if form was submitted
							
								//var_dump( $_POST );
							
								if ( isset( $_POST['nmp_contact_form_'.$i] ) ) {
							
									// Validate URL (spambot)
										
										$nmp_contact_form_url = filter_input( INPUT_POST, 'nmp_contact_form_url', FILTER_SANITIZE_STRING );
										if ( $nmp_contact_form_url != '' ) { 
											
										} else {
											$email_sent = true;
										}			
						  
									// Validate Department
										
										$nmp_contact_form_dept_email = filter_input(INPUT_POST, 'nmp_contact_form_dept_name', FILTER_SANITIZE_STRING); 
									
									// Validate Name
									
										$nmp_contact_form_name = filter_input( INPUT_POST, 'nmp_contact_form_name', FILTER_SANITIZE_STRING ); 
										
										echo $nmp_contact_form_name;
										
										if ( $nmp_contact_form_name == '' ) { 
											$name_error = __('Please enter a valid name.', THEMENAME);
											$has_error = true;	
										}  
					
									// Validate Email
									
										$nmp_contact_form_email = filter_input( INPUT_POST, 'nmp_contact_form_email', FILTER_SANITIZE_EMAIL ); 
										if ( !filter_var( $nmp_contact_form_email, FILTER_VALIDATE_EMAIL ) ) {  
											$email_error = $nmp_contact_form_email . ' ' . __('is <strong>NOT</strong> a valid email address.', THEMENAME);  
											$has_error = true;	
										}				
						
									// Validate Subject
									
										$nmp_contact_form_subject = filter_input( INPUT_POST, 'nmp_contact_form_subject', FILTER_SANITIZE_STRING ); 
										if ( $nmp_contact_form_subject == '' ) { 
											$subject_error = __('Please enter a valid subject.', THEMENAME);  
											$has_error = true;
										}  
					
									// Validate Message
									
										$nmp_contact_form_message = filter_input( INPUT_POST, 'nmp_contact_form_message', FILTER_SANITIZE_STRING); 	
										if ( $nmp_contact_form_message == '' ) {  
											$comment_error = __('Please enter a message to send.', THEMENAME) . '<br/>';  
											$has_error = true;	
										}  
					
									// If we didn't hit an error, send the email
										if ( !isset( $has_error ) ) {
										
											$subject = NMP_CONTACT_FORM_SUBJECT;
					
											// Body:
												$body = '
													Name: ' . $nmp_contact_form_name . ' 
													Email: ' . $nmp_contact_form_email . '
													Comments: ' . $nmp_contact_form_message . '	
												';
						
											// Headers
												$headers = 'From: ' . $nmp_contact_form_email . "\r\n" .
														   'Reply-To: ' . $nmp_contact_form_email . "\r\n";
						
											// Send it
											  
												if ( $nmp_contact_form_dept_email != "" ) {
												
													mail( $nmp_contact_form_dept_email, $subject . ' : ' . $nmp_contact_form_subject , $body, $headers );
													
												} else {
												
													$email = explode( ',',$email );
													mail( $email[0], $subject . ' : ' . $nmp_contact_form_subject , $body, $headers );
													
												}
												
												$email_sent = true;			
					
										} else {
										
											echo '
												<script>
													alert(\'' . __('Some contact form data failed validation. Please correct any issues by reviewing the form and try submitting again.', THEMENAME) . '\');
												</script>
											';
											
											$email_sent = false;
										}
							
								}
							
								if ( isset( $email_sent ) && $email_sent == true ) { 
											
									echo '
										<p><strong>' . __( 'Thanks', THEMENAME ) . ', ' . $nmp_contact_form_name . '</strong></p>
										<p>' . __( 'Your email was successfully sent. I will be in touch soon.', THEMENAME ) . '</p>
									';
					
								} else {
								
									echo '									
										<form action="#" id="nmp_contact_form_' . $i . '" method="post">
									
											<input type="hidden" name="nmp_mail_' . $i . '" id="nmp_mail_' . $i . '" value="true" />

												<div class="row">
													<div class="12u">';											
											
														if ($name_error != '')
															echo '<p class="error">' . $name_error . '</p>'; 
										
														echo '
																
														<input placeholder="' . __( 'Name', THEMENAME ) . '" type="text" id="nmp_contact_form_name_' . $i . '" name="nmp_contact_form_name" value="' . $nmp_contact_form_name . '" class="text requiredField" />
														
													</div>		
												</div>
												
												<div class="row">
													<div class="12u">
													
												';
																			
														if ($email_error != '')
															echo '<p class="error">' . $email_error . '</p>';
																		
														echo '
		
														<input placeholder="' . __( 'Email', THEMENAME ) . '" type="email" id="nmp_contact_form_email_' . $i . '" name="nmp_contact_form_email" value="' . trim( $nmp_contact_form_email ) . '" class="text requiredField" />
														
													</div>		
												</div>
												
													
												';

														$pos = strpos($email, ',');
										
														if ($pos !== false && $dept != "") { 
										
															if ($dept_error != '') 
																echo '<p class="error">' . $dept_error . '</p>'; 
													
															echo '
															<div class="row">
																<div class="12u">															

																<select id="nmp_contact_form_dept_name_' . $i . '" name="nmp_contact_form_dept_name" >
																	<option value="" selected="selected">' .  __( 'Choose Department:', THEMENAME ) . '</option>';
														
																	$email_arr = explode( ',',$email );
																	$dept_arr  = explode( ',',$dept );
																	$email_num = 0;
																		
																	foreach( $email_arr as $opt_email ) {
																		if ( !isset( $dept_arr[$email_num] ) ) continue;
																	
																		if (isset($dept_email) && $dept_email == $opt_email) {
																
																			echo '<option value="' . trim( $opt_email ) . '">' . trim( $dept_arr[$email_num] ) . '</option>';
																
																		} else {
																		
																			echo '<option value="' . trim( $opt_email ) . '">' . trim( $dept_arr[$email_num] ) . '</option>';
																	
																		}
																	
																		$email_num++;
																	}
														
																echo '
																</select>
																</div>		
															</div>															
															';
										
														}
													
													echo '
													
												
											<div class="row">
												<div class="12u">';

													if ($subject_error != '')
														echo '<p class="error">' . $subject_error . '</p>'; 
																
																		
														echo '
														
														<input placeholder="' . __( 'Subject', THEMENAME ) . '" id="nmp_contact_form_subject_' . $i . '" type="text" name="nmp_contact_form_subject" value="' . $nmp_contact_form_subject . '" class="text requiredField" />
														
														<input type="text" name="nmp_contact_form_url" value="' . $url . '" class="required_url" />
														
												</div>		
											</div>
												
											<div class="row">
												<div class="12u">';
																	
													if ($comment_error != '')
														echo '<p class="error">' . $comment_error . '</p>';
														
													echo '

													<textarea placeholder="' . __( 'Message', THEMENAME ) . '" id="nmp_contact_form_message_' . $i . '" name="nmp_contact_form_message" class="requiredField">' . $nmp_contact_form_message . '</textarea>
													
												</div>
											</div>
									
											<div class="row">
												<div class="12u">
													<input type="submit" name="nmp_contact_form_' . $i . '" class="button" value="' . __( 'Send Message', THEMENAME ) . '" />
													<input type="reset" class="button alt" value="' . __( 'Reset', THEMENAME ) . '" />
												</div>
											</div>	
											
										
											
										</form>
										
									';
				
								
							
								}
						}							

							
			echo '</div>';

			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();
			
			return $nmp_shortcode;

		}
		add_shortcode( 'contact_form', 'nmp_contact_form_sc' );