<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Popup Gallery [popup_gallery count="8" postid="" id="#widgetID"]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_popup_gallery_sc( $atts, $content=null ) {
			
			global $post;
		
			STATIC $i = 1;
			$i++;	

		   extract( shortcode_atts( array(
				'id'				=> 'poptrox_thumbs',
				'postid'			=> NULL,
				'title'				=> NULL,
				'type'				=> NMP_GALLERY_TYPE,
				'crop'				=> NMP_GALLERY_CROP,
				'width'				=> NMP_GALLERY_WIDTH,
				'anchor'			=> NMP_GALLERY_ANCHOR,
				'quality'			=> NMP_GALLERY_QUALITY,
				'count'       		=> -1
			), $atts ) );
			
			$append = $id . '_' . $i;
			
			// Get Post ID
			
			if ( $postid )
				$post_id = $postid;
			else
				$post_id = $post->ID;
			
			
			$args = array( 'post_type' => 'attachment', 'order' => 'ASC', 'orderby' => 'menu_order',  'numberposts' => $count, 'post_status' => null, 'post_parent' => $post_id );
			$attachments = get_posts( $args );	

	

			ob_start();
					
			echo '<section class="obj-' . $type . 'Gallery">';
						
			if ( $title )
				echo $title;
						
			echo'
				<div class="do-5grid">
					<div class="row">

								';
								
								if ( $type == 'variable' ) 
									echo '<div class="do-3u">';
											
								if ($attachments) {
								
									$att_count = count($attachments);
									
									$col_1 = ceil( $att_count / 4 );
									
									$att_count -= $col_1;
									
									$col_2 = ceil( $att_count / 3 );
									
									$att_count -= $col_2;
	
									$col_3 = ceil( $att_count / 2 );
									
									$att_count -= $col_3;		
									
									$col_4 = $att_count;

									$i = 1;
						
									foreach ( $attachments as $attachment ) {

										$img_title			= $attachment->post_title;
										$img_caption 		= $attachment->post_excerpt;
										$img_description	= $attachment->post_content;
																				
										if ( is_multisite() ) {
																	
											global $blog_id;
																																
											$string = '/files';
											$replace = '/wp-content/blogs.dir/' . $blog_id . '/files';
											$thumbnailsrc = str_replace( $string, $replace, $attachment->guid );
																																
										} else {
																					
											$thumbnailsrc = $attachment->guid;
																															
										}									

										$realthumb = get_template_directory_uri() . '/libs/resizurr.php?m=' . $crop . '&amp;a=' . $anchor . '&amp;w=' . $width . '&amp;q=' . $quality . '&amp;src=' . $thumbnailsrc;
										
										if ( $type == 'standard' ) {
	
											echo '<div class="do-3u"><a href="' . $attachment->guid . '" class="image image-fit"><img src="' . $realthumb . '" title="' . $img_caption . '" alt="' . $img_title . ' - ' . $img_description . '" /></a></div>' . "\n";
											
											if ($i % 4 == 0) 
												echo '</div><div class="row">';
																				
										}
											
										if ( $type == 'variable' ) {
												
											echo '<a href="' . $attachment->guid . '" class="image image-fit"><img src="' . $realthumb . '" title="' . $img_caption . '" alt="' . $img_title . ' - ' . $img_description . '" /></a>' . "\n";
											
											if ( $i == $col_1 ) 
												echo '</div><div class="do-3u">';

											if ( $i == $col_1 + $col_2 ) 
												echo '</div><div class="do-3u">';

											if ( $i == $col_1 + $col_2 + $col_3 ) 
												echo '</div><div class="do-3u">';

											if ( $i == $col_1 + $col_2 + $col_3 + $col_4 ) 
												echo '<div class="do-3u">';												
												
										}

										$i++;
										
									}
									
									
								}
								
				if ( $type == 'variable' ) 
					echo '</div>';
								
				echo '</section>';
				
				$nmp_shortcode = ob_get_contents();
					
				ob_end_clean();

			return $nmp_shortcode;

		}
		add_shortcode( 'popup_gallery', 'nmp_popup_gallery_sc' );