<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// Login Form [login title="" container="unboxed"]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_login_sc( $atts, $content=null ) {
		
		   extract( shortcode_atts( array(
			  'id'				=> 'nmp_login',
			  'title' 			=> NULL,
			  'subtitle'		=> NULL
			  ), $atts ) );			

			STATIC $i = 1;
			$i++;	
			
			if ( $title ) {
			
				if ( $subtitle )
					$title = $title;
				else
					$title = $title .'<br style="margin-bottom: 1em;" />';
					
			} else {
			
				$title = '';
			
			}
			
			if ( $subtitle ) {
				$sub_title = '<p class="subtitle">' . $subtitle . '</p>';
			} else {
				$sub_title = '';
			}
			
			
			$header = '
				<div class="obj-login">
					
					' . $title . '
					' . $sub_title . '
					<form method="post" id="loginform" name="loginform" action="' . wp_login_url() . '">';
					
			
			if ( is_user_logged_in() ) {
			
				$form = '
					<a href="' . wp_logout_url( home_url() ) . '" title="' . __('Logout',THEMENAME) . '" class="button">' . __('Logout',THEMENAME) . '</a><br class="clear" />
				';

			} else {
			
				$form = '
				
					<div class="5grid">
						<div class="row">
							<div class="12u">
								<label for="login-username">' . __( 'Username', THEMENAME ) . '</label>
								<input type="text" name="log" id="login-username" />
							</div>
						</div>
						<div class="row">
							<div class="12u">
								<label for="login-password">' . __( 'Password', THEMENAME ) . '</label>
								<input type="password" name="pwd" id="login-password" />
							</div>
						</div>
						<div class="row">
							<div class="12u">
								<input type="submit" class="button alignleft" value="' . __( 'Login', THEMENAME ) . '" />
								<a href="' . home_url() . '/wp-login.php?action=lostpassword" class="lostpass">' . __( 'Forgot your password?', THEMENAME ) . '</a><br />
								<a href="' . home_url() . '/wp-login.php?action=register" class="register">' . __( 'Register', THEMENAME ) . '</a>
							</div>
						</div>
					</div>			
						
				';
				
			}
			
			$footer = '
					<input type="hidden" name="redirect_to" value="' . home_url() . '" />
					</form>
				</div>
					
			';
			
		
			$nmp_shortcode = $header . $form . $footer;
			
			return $nmp_shortcode;
			
		}
		add_shortcode( 'login', 'nmp_login_sc' );