<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Recent Comments [comments count="5" container="unboxed" ]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_comments_sc( $atts, $content=null ) {
		
			STATIC $i = 1;
			$i++;
			
			extract( shortcode_atts( array(
				'class'				=> 'nmp_comments',
				'title'				=> NULL,
				'subtitle'			=> NULL,
				'count'       		=> NMP_COMMENTS_NUM
			), $atts ) );
	
			$append = $class . '_' . $i;
		
			ob_start();
			
			echo '<div class="widget obj-recentComments ' . $append . '">';
						

			if ( $title ) {
				
				if ( $subtitle )
					echo $title;
				else
					echo $title .'<br style="margin-bottom: 1em;" />';
				
			}
				
			if ( $subtitle )
				echo '<p class="subtitle">' . $subtitle . '</p>';
			
						
			$recent_comments = get_comments( array(
				'number'    => $count,
				'status'    => 'approve'
			) );
			
			echo '<ul class="style2">';
							
			foreach ( $recent_comments as $comment ) {
							
				$author_url 		= get_comment_author_url( $comment->comment_ID );
				$comment_content 	= limit_chars( $comment->comment_content, 45 ) . '...';
				$comment_date		= $comment->comment_date;
				$date				= human_time_diff(strtotime($comment_date), current_time('timestamp')) . ' ago';

				echo '
					<li>
						<article>
							<a href="' . $author_url . '" title="" class="image alignleft avatar">' . get_avatar( $comment->comment_author_email, 80 ) . '</a>
							<p>' . $comment_content . '</p>
							<p class="date">' . $date . '</p>
						</article>
					</li>
				';
								
			}
			
			echo '</ul>';
							
			echo '</div>';
			
			

			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();
			
			return $nmp_shortcode;

		}
		add_shortcode( 'comments', 'nmp_comments_sc' );