<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////
	// Search Form [search title="" mode="normal" container="unboxed"]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_search_sc( $atts, $content=null ) {
			
			extract( shortcode_atts( array(
			  'id'				=> 'nmp_search',
			  'title' 			=> NULL,
			  'subtitle' 		=> NULL,
			  'mode'			=> 'normal'
			  ), $atts ) );			
	
			
			$search_query = get_search_query();
			
			if ( $title ) {
			
				if ( $subtitle )
					$title = $title;
				else
					$title = $title .'<br style="margin-bottom: 1em;" />';
					
			} else {
			
				$title = '';
			
			}
			
			if ( $subtitle ) {
				$sub_title = '<p class="subtitle">' . $subtitle . '</p>';
			} else {
				$sub_title = '';
			}
			

			$header = '
				<div class="obj-search-' . $mode . '">
					' . $title . '
					' . $sub_title . '
					<form method="get" action="' . home_url() . '">';
			
			$footer = '
					</form>
					<div class="clearfix"></div>
				</div>
			';
			
			if ( $mode == 'minimal' ) {
				
				$form = '
					<input type="text" name="s" value="' . $search_query . '" placeholder="Enter search keywords" />
					<span class="icon-search"></span>				
				';
				
			} else {
				
				$form ='
					<input type="text" name="s" value="' . $search_query . '" />
					<input type="submit" class="button" value="Search" />				
				';
			
			}
		
			$nmp_shortcode = $header . $form . $footer;
			
			return $nmp_shortcode;
			
		}
		add_shortcode( 'search', 'nmp_search_sc' );