<?php

	// Load Custom Widgets
		
		require_once( get_template_directory(). '/functions/widgets/widget-archive.php' );					// Archive Widget
		require_once( get_template_directory(). '/functions/widgets/widget-author.php' );					// Author Widget
		require_once( get_template_directory(). '/functions/widgets/widget-calendar.php' );					// Calendar Widget
		require_once( get_template_directory(). '/functions/widgets/widget-contact.php' );					// Contact Form widget
		require_once( get_template_directory(). '/functions/widgets/widget-contact_info.php' );				// Contact Info widget
		require_once( get_template_directory(). '/functions/widgets/widget-custom_menu.php' );				// Custom Menu Widget
		require_once( get_template_directory(). '/functions/widgets/widget-flickr.php' );					// Flickr Widget	
		require_once( get_template_directory(). '/functions/widgets/widget-links.php' );					// Links Widget
		require_once( get_template_directory(). '/functions/widgets/widget-login.php' );					// Login Widget
		require_once( get_template_directory(). '/functions/widgets/widget-pages.php' );					// Pages Widget
		require_once( get_template_directory(). '/functions/widgets/widget-recentcomments.php' );			// Recent Comments Widget		
		require_once( get_template_directory(). '/functions/widgets/widget-recentposts.php' );				// Recent Posts Widget
		require_once( get_template_directory(). '/functions/widgets/widget-search.php' );					// Search Widget
		require_once( get_template_directory(). '/functions/widgets/widget-tags.php' );						// Tags Widget
		require_once( get_template_directory(). '/functions/widgets/widget-multi/multi-widget.php' );		// Text Widget
		require_once( get_template_directory(). '/functions/widgets/widget-twitter.php' );					// Twitter Widget
		require_once( get_template_directory(). '/functions/widgets/widget-video.php' );					// Video Widget
		
		
	// Remove wordpress standard widgets.

		function unregister_default_wp_widgets() {
			unregister_widget('WP_Widget_Archives');
			unregister_widget('WP_Widget_Pages');
			unregister_widget('WP_Widget_Calendar');
			unregister_widget('WP_Widget_Links');
			unregister_widget('WP_Widget_Links');
			unregister_widget('WP_Widget_Meta');
			unregister_widget('WP_Widget_Search');
			unregister_widget('WP_Widget_Text');
			unregister_widget('WP_Widget_Categories');
			unregister_widget('WP_Widget_Recent_Posts');
			unregister_widget('WP_Widget_Recent_Comments');
			unregister_widget('WP_Widget_RSS');
			unregister_widget('WP_Widget_Tag_Cloud');
			unregister_widget('WP_Nav_Menu_Widget');
		}
		add_action('widgets_init', 'unregister_default_wp_widgets', 1);			
	
	// Initialize Widgets
	
		function nmp_widgets_init() {
		
		
		// Sidebar Widgets
		
			register_sidebar( array(
				'name' => __( 'Sidebar Widget', THEMENAME ),
				'id' => PREFIX . 'widget',
				'description' => __( 'The sidebar widget.', THEMENAME ),
				'before_widget' => '<section id="%1$s" class="%2$s box widget">',
				'after_widget' => '</section>',
				'before_title' => '<h2>',
				'after_title' => '</h2>'
			) );
			
		// Sidebar Widgets
		
			register_sidebar( array(
				'name' => __( 'Homepage  Widget 1', THEMENAME ),
				'id' => PREFIX . 'home1_widget',
				'description' => __( 'The left homepage widget.', THEMENAME ),
				'before_widget' => '<section id="%1$s" class="%2$s box tbox widget">',
				'after_widget' => '</section>',
				'before_title' => '<h2>',
				'after_title' => '</h2>'
			) );

		// Sidebar Widgets
		
			register_sidebar( array(
				'name' => __( 'Homepage  Widget 2', THEMENAME ),
				'id' => PREFIX . 'home2_widget',
				'description' => __( 'The right homepage widget.', THEMENAME ),
				'before_widget' => '<section id="%1$s" class="%2$s box tbox widget">',
				'after_widget' => '</section>',
				'before_title' => '<h2>',
				'after_title' => '</h2>'
			) );			
				
		}
		add_action( 'widgets_init', 'nmp_widgets_init' );		
	
?>