<?php 

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	get_header(); 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	// Get Settings
	
		$cb_affid				= get_option( 'cb_affid', AFFID );
		$cb_user				= get_option( 'cb_username', '' );
		$cb_campaign			= get_option( 'cb_campaign', TRACK );
		$cb_mode				= get_option( 'cb_mode', MODE );
		$cb_room				= get_option( 'cb_room', ROOM );
		$cb_related				= get_option( 'cb_related', 'yes' );
		$cb_related_cnt			= get_option( 'cb_related_num', 9 );
		$cb_related_title		= get_option( 'cb_related_title', RELATED_TITLE );
		$cb_wl					= get_option( 'cb_wl', CBWL );
		
	
	// Get Post Meta
	
		$cb_camuser 			= trim( get_post_meta( get_the_ID(), '_cb_camuser', TRUE ) );
		$cb_displayname 		= trim( get_post_meta( get_the_ID(), '_cb_displayname', TRUE ) );
		$cb_age 				= trim( get_post_meta( get_the_ID(), '_cb_age', TRUE ) );
		$cb_gender 				= trim( get_post_meta( get_the_ID(), '_cb_gender', TRUE ) );
		$cb_birthdate 			= trim( get_post_meta( get_the_ID(), '_cb_birthdate', TRUE ) );
		$cb_image	 			= trim( get_post_meta( get_the_ID(), '_cb_image', TRUE ) );
		$cb_location 			= trim( get_post_meta( get_the_ID(), '_cb_location', TRUE ) );
		$cb_language 			= trim( get_post_meta( get_the_ID(), '_cb_language', TRUE ) );
		$cb_iframe_revshare 	= trim( get_post_meta( get_the_ID(), '_cb_iframe_revshare', TRUE ) );
		$cb_iframe_signup 		= trim( get_post_meta( get_the_ID(), '_cb_iframe_signup', TRUE ) );	
		$cb_online 				= trim( get_post_meta( get_the_ID(), '_cb_online', TRUE ) ); 		// seconds online
		$cb_users 				= trim( get_post_meta( get_the_ID(), '_cb_users', TRUE ) );			// viewers
		$cb_show 				= trim( get_post_meta( get_the_ID(), '_cb_show', TRUE ) );			// current_show: "public", "private", "group", or "away".
		$cb_recorded 			= trim( get_post_meta( get_the_ID(), '_cb_recorded', TRUE ) );		// recorded: "true" or "false".
		$cb_chaturl 			= trim( get_post_meta( get_the_ID(), '_cb_chat_url', TRUE ) );
		$cb_chaturl_rev 		= trim( get_post_meta( get_the_ID(), '_cb_chat_url_rev', TRUE ) );
		
		if ( !$cb_camuser || $cb_camuser == '' ) { $cb_camuser = ''; }
		if ( !$cb_displayname || $cb_displayname == '' ) { $cb_displayname = ''; }
		if ( !$cb_age || $cb_age == '' ) { $cb_age = ''; }
		if ( !$cb_gender || $cb_gender == '' ) { $cb_gender = ''; }
		if ( !$cb_birthdate || $cb_birthdate == '' ) { $cb_birthdate = ''; }
		if ( !$cb_image || $cb_image == '' ) { $cb_image = ''; }
		if ( !$cb_location || $cb_location == '' ) { $cb_location = ''; }
		if ( !$cb_language || $cb_language == '' ) { $cb_language = ''; }
		if ( !$cb_iframe_revshare || $cb_iframe_revshare == '' ) { $cb_iframe_revshare = ''; }
		if ( !$cb_iframe_signup || $cb_iframe_signup == '' ) { $cb_iframe_signup = ''; }
		if ( !$cb_online || $cb_online == '' ) { $cb_online = ''; }
		if ( !$cb_users || $cb_users == '' ) { $cb_users = ''; }
		if ( !$cb_show || $cb_show == '' ) { $cb_show = ''; }
		if ( !$cb_recorded || $cb_recorded == '' ) { $cb_recorded = ''; }
		if ( !$cb_chaturl || $cb_chaturl == '' ) { $cb_chaturl = ''; }
		if ( !$cb_chaturl_rev || $cb_chaturl_rev == '' ) { $cb_chaturl_rev = ''; }
			
	// The Post
			
		echo '<article class="nmp_post">';
	
		if ( $cb_online == 0 ) {
			
			echo '
				<header>
					<h2>' . $cb_camuser . 'is currently offline.</h2>
					<a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '" target="_blank" class="button">Register to tip this Hot Model</a>
				</header>	
			';
		
		} else {
		
			echo '
				<header>
					<h2>' . $cb_camuser . '\'s Free Webcam Show</h2>
					<a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '" target="_blank" class="button">Register to tip ' . $cb_camuser . '</a>
				</header>	
			';
			
		}
			
		echo '		
			<div class="row">
				<div class="9u">
					<section class="cb_video video-wrapper">
					';					

						
						if ( $cb_mode == 'revshare' ) {
						
							if ( $cb_online == 0 )
								$iframe = nmp_featured( 'revshare', $cb_room, $cb_wl, $cb_affid, $cb_campaign, $cb_user  );
							else 
								$iframe = str_replace( 'chaturbate.com', $cb_wl, $cb_iframe_revshare );
	
									
							echo $iframe;

						} else {
						
							if ( $cb_online == 0 )
								$iframe = nmp_featured( 'signup', $cb_room, $cb_wl, $cb_affid, $cb_campaign, $cb_user  );
							else						
								$iframe = str_replace( 'chaturbate.com', $cb_wl, $cb_iframe_signup );
	
							echo $iframe;
									
						}
								
						
						
						echo '
						
					</section>
				</div>
				<div class="3u">
					<ul class="list1">		
						<li>' . $cb_age . ' ' . $cb_gender . '</li>
						<li>' . $cb_location . '</li>
						<li><i class="fa fa-clock-o"></i>&nbsp; ' . nmp_ago( $cb_online ) . '</li>
						<li><i class="fa fa-eye"></i>&nbsp; ' . $cb_users . '</li>
						';
	
						if( $cb_mode == 'revshare' ) {
							echo '<li><a href="' . $cb_chaturl_rev . '" class="button">View Profile</a></li>';
						} else {
							echo '<li><a href="' . $cb_chaturl . '" class="button">View Profile</a></li>';
						}
										
						echo '
					</ul>
				</div>
			</div>
	';
	
		if ( $cb_online == 0 ) {
		
			echo '
				<section>
					<p>Unfortunately <strong>' . $cb_camuser . '</strong> is currently offline. However, to chat with the current model, view their private profile photos and video clips, and many more member-only features... you\'ll need a <a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '">FREE account</a>. <a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '">Create your free account</a> now to join in on the fun!</p>
				</section>
			';		
			
		} else {
		
			echo '
				<section>
					<p>Welcome to <strong>' . $cb_camuser . '\'s live stream</strong> and chat room! Watching ' . $cb_camuser . ' getting naked, fucking, sucking, etc... is <strong>completely FREE</strong>! However, to chat with ' . $cb_camuser . ', view ' . $cb_camuser . '\'s private profile photos and video clips, and many more member-only features... you\'ll need a <a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '">FREE account</a>. Right now, ' . $cb_camuser . ' is responding live to viewers... <a href="http://' . $cb_wl . '/affiliates/in/3Mc9/' . $cb_affid . '/?track=' . $cb_campaign . '">Create your free account</a> now to join in on the fun!</p>
				</section>
			';
			
		}

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// The Content
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
		the_content();	
						
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// Show Related Posts
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
				
		if ( $cb_related )
			nmp_get_related( $cb_related_title, $cb_gender, $cb_related_cnt );

	echo '</article>';
	


	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	get_footer(); 
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

?>