<?php

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Twitter Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_twitter() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Your Latest Tweets', THEMENAME ),
                
                'description' => __( 'This adds your most recent tweets to your posts or pages.', THEMENAME ), 
                
                'groups' => array(
					
                // Get Twitter Username
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Twitter Username', THEMENAME ),    
                        'description' => __( 'The username you would like to display tweets for.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'user',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> '4templates'								
                            ),						
                        ),
                    ),							
					
                // How Many Tweets to show
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Tweet Count', THEMENAME ),    
                        'description' => __( 'How many tweets would you like to show?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'count',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> 5								
                            ),						
                        ),
                    ),	

                // Show Avatars
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Display Avatars', THEMENAME ),    
                        'description' => __( 'This allows you to turn on or off the avatars.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'avatar',
								'title'     => __( 'Show Avatars', THEMENAME ),								
                                'type' 		=> 'checkbox', // text,textarea,select,radio,checkbox
                                'default' 	=> '',
                                'value' 	=> 1
							),								
						),						
					),
					
					
                // Avatar Size
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Avatar Size', THEMENAME ),    
                        'description' =>  __( 'Choose a size for your avatar.', THEMENAME ),   
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'icon_size',
                                'type' 		=> 'select', // text,textarea,select,radio,checkbox
                                'default' 	=> 'mini',
								'options' 	=> array(
									array( 'name' => __( ' Mini 24 x 24', THEMENAME ), 'value' => 'mini'),
									array( 'name' => __( ' Normal 48 x 48', THEMENAME ), 'value' => 'normal' ),
									array( 'name' => __( ' Bigger 73 x 73', THEMENAME ), 'value' => 'bigger' )
								)									
								
                            ),						
                        ),
                    ),

                // Custom Container Class
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Custom Container Class', THEMENAME ),    
                        'description' => __( 'For advanced users. If you would like to add your own styles for this widget you can enter a custom class name here.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'container_class',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> ''								
                            ),						
                        ),
                    ),					
					
				),						
					
                    
			);

            
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Flickr Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_flickr() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Your Flickr Feed', THEMENAME ),
                
                'description' => __( 'This displays your flickr feed in your posts or pages.', THEMENAME ), 
                
                'groups' => array(

					
                // Display a Title
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Title', THEMENAME ),    
                        'description' => __( 'This allows you to add an optional title to your feed.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'title',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> ''								
                            ),						
                        ),
                    ),
					
					
                // Get Flickr ID
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Flickr ID', THEMENAME ),    
                        'description' => __( 'If you don\'t know your Flickr ID you can find it <a href="http://idgettr.com/" target="_blank">here</a>.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'user',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> '25664079@N05'								
                            ),						
                        ),
                    ),						
					
                // How Many Images To Show
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Display Amount', THEMENAME ),    
                        'description' => __( 'How many images would you like to show?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'count',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> 5								
                            ),						
                        ),
                    ),	
					
                // Custom Container Class
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Custom Container Class', THEMENAME ),    
                        'description' => __( 'For advanced users. If you would like to add your own styles for this widget you can enter a custom class name here.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'container_class',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> ''								
                            ),						
                        ),
                    ),						

				),						
					
                    
			);


            
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Search Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_search() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Search Box', THEMENAME ),
                
                'description' => __( 'Will insert a search box into your post, page or widget.', THEMENAME ), 
                
                'groups' => array(

					
                // Title
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Title', THEMENAME ),    
                        'description' => __( 'Enter a title for the search box.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'title',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> __( 'Search', THEMENAME )								
                            ),						
                        ),
                    ),
					
					
                // Mode
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Appearance', THEMENAME ),    
                        'description' => __( 'How would you like the search box to look?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'mode',
                                'type' 		=> 'select', // text,textarea,select,radio,checkbox
                                'default' 	=> NMP_SEARCH_MODE,
								'options' 	=> array(
									array( 'name' => __( ' Normal', THEMENAME ), 'value' => 'normal' ),
									array( 'name' => __( ' Minimal', THEMENAME ), 'value' => 'minimal' )
								)									
								
                            )						
                        )
                    ),																

				)					
					
                    
			);	
			
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}	
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Login Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_login() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Login Box', THEMENAME ),
                
                'description' => __( 'Will insert a login box into your post, page or widget.', THEMENAME ), 
                
                'groups' => array(

					
                // Title
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Title', THEMENAME ),    
                        'description' => __( 'Enter a title for the login box.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'title',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> __( 'My Account', THEMENAME )								
                            ),						
                        ),
                    ),																	

				)					
					
                    
			);	
			
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}	
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Slideshow Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_slideshow() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Add a Slideshow', THEMENAME ),
                
                'description' => __( 'Will insert a slideshow into your post, page or widget.', THEMENAME ), 
                
                'groups' => array(

					
                // Album Name
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Album', THEMENAME ),    
                        'description' => __( 'Enter the album name you would like to display in your slideshow.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'album',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> ''								
                            ),						
                        ),
                    ),
					
					
                // Show Captions
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Captions', THEMENAME ),    
                        'description' => __( 'Do you want to display captions for this slideshow?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'captions',
                                'type' 		=> 'select', // text,textarea,select,radio,checkbox
                                'default' 	=> 'no',
								'options' 	=> array(
									array( 'name' => __( ' Yes', THEMENAME ), 'value' => 'yes' ),
									array( 'name' => __( ' No', THEMENAME ), 'value' => 'no' )
								)									
								
                            )						
                        )
                    ),					

                // Display Mode
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Position', THEMENAME ),    
                        'description' => __( 'Where are you inserting this slideshow?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'class',
                                'type' 		=> 'select', // text,textarea,select,radio,checkbox
                                'default' 	=> 'post',
								'options' 	=> array(
									array( 'name' => __( ' Post or Page', THEMENAME ), 'value' => 'post-slider' ),
									array( 'name' => __( ' Sidebar', THEMENAME ), 'value' => 'widget-slider' )
								)									
								
                            )						
                        )
                    ),							
					
                // How Many Images To Show
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Display Amount', THEMENAME ),    
                        'description' => __( 'How many images would you like to show?', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'count',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> 5								
                            )						
                        )
                    )	
											

				)					
					
                    
			);	
			
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Tooltip Form 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function nmp_tinyMCE_form_tooltip() {

        // The array containing the admin page option values.
            
            $args = array(
                
                'title' => __( 'Tooltip', THEMENAME ),
                
                'description' => __( 'Inserts a tooltip popup over the selected text.', THEMENAME ), 
                
                'groups' => array(
				
                // Tooltip
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Tooltip Text', THEMENAME ),    
                        'description' => __( 'Enter the text you would like to display a tooltip.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'title',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> __( 'Your Tooltip Title', THEMENAME )								
                            ),						
                        ),
                    ),				

					
                // Title
                
                    array (
                        'before' => '',
                        'after' => '',
                        'title' => __( 'Tooltip Contents', THEMENAME ),    
                        'description' => __( 'Enter the text you would like to display in the tooltips popup.', THEMENAME ),    
                        'fields' => array(
                            array(
                                'before' 	=> '',
                                'after' 	=> '',
                                'id' 		=> 'tooltip',
                                'type' 		=> 'text', // text,textarea,select,radio,checkbox
                                'default' 	=> __( 'Your Tooltip Contents', THEMENAME )								
                            ),						
                        ),
                    ),
						

				)					
					
                    
			);	
			
		// Load the Form
            
			nmp_tinyMCE_form($args);	
	}