<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Contact Info [info container="unboxed" ]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_info_sc( $atts, $content=null ) {
	
			STATIC $i = 1;
			$i++;
			
			global $post;
			
			extract( shortcode_atts( array(
				'class'				=> 'nmp_info',
				'title'				=> NULL,
				'subtitle'			=> NULL,
				'text'				=> NULL,
				'name'				=> NULL,
				'address'			=> NULL,
				'city'				=> NULL,
				'state'				=> NULL,
				'zip'				=> NULL,
				'country'			=> NULL,
				'phone'				=> NULL,
				'email'				=> NULL,
				'twitter'			=> NULL,
				'facebook'			=> NULL,
				'google'			=> NULL,
				'linkedin'			=> NULL,
				'pinterest'			=> NULL,
				'mode'				=> NMP_INFO_MODE
			), $atts ) );

			$append = $class . '_' . $i;
			

			ob_start();
			
			echo '	
				<div class="obj-contactInfo-' . $mode . ' ' . $append . '">';
						
						if ( $title ) {
							
							if ( $subtitle )
								echo $title;
							else
								echo $title .'<br style="margin-bottom: 1em;" />';
							
						}
							
						if ( $subtitle )
							echo '<p class="subtitle">' . $subtitle . '</p>';						
							
							
						if ( $text )				
							echo '<p>' . $text . '</p>';
						
						if ( $mode == 'minimal' ) { 
						
							$contact_class = 'contact contact-minimal';
							
						} else {
						
							$contact_class = 'contact';
							
						}
						
						echo '<ul class="' . $contact_class . '">';
							
							if ( $mode != 'minimal' ){
							
								if ($name || $address || $city || $state || $zip || $country) {
									
									echo '<li class="address">';
									echo '<span class="icon"></span>';

										if ( $name )	
											echo '<strong>' . $name . '</strong><br />';
											
										if ( $address )
											echo $address . '<br />';
										
										if ( $city )								
											echo $city . ',';
											
										if ( $state )
											echo '&nbsp;' . $state;
											
										if ( $zip )
											echo '&nbsp;' . $zip . '<br />';									
											
										if ( $country )
											echo  $country;
										
									echo '</li>';
									
									if ( $phone ) 
										echo '<li class="phone"><span class="icon"></span>' . $phone . '</li>';									
													
								}
							
							}
							
							if ( $email ) 
								echo '<li class="email"><a href="mailto:' . $email . '"><span class="icon"></span>' . $email . '</a></li>';
							
							if ( $twitter )
								echo '<li class="twitter"><a href="http://twitter.com/' . $twitter . '"><span class="icon"></span>@' . $twitter . '</a></li>';
							
							if ( $facebook ) 
								echo '<li class="facebook"><a href="http://facebook.com/' . $facebook . '"><span class="icon"></span>' . $facebook . '</a></li>';
								
							if ( $google )
								echo '<li class="googleplus"><span class="icon"></span><a href="' . $google . '"><span class="icon"></span>' . $name . '</a></li>';
							
							if ( $linkedin ) 
								echo '<li class="linkedin"><a href="' . $linkedin . '"><span class="icon"></span>' . $name . '</a></li>';

							if ( $pinterest ) 
								echo '<li class="pinterest"><a href="http://pinterest.com/' . $pinterest . '"><span class="icon"></span>' . $pinterest . '</a></li>';
							
							
							
						echo '</ul>					
			</div>';

			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();
			
			return $nmp_shortcode;

		}
		add_shortcode( 'info', 'nmp_info_sc' );