<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// 
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
	// Add the google maps api to header
	
		add_action('wp_head', 'gmaps_header');
 
		function gmaps_header() 
		{
			echo '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>';
		}	
	
		function nmp_google_map_sc( $atts, $content=null ) 
		{
			
			global $post;
		
			STATIC $i = 1;
			$i++;	

		   extract( shortcode_atts( array(
				'id' 					=> 'nmp_map',
				'maptype' 				=> 'ROADMAP',
				'color'					=> NULL,
				'address' 				=> '',
				'start' 				=> '',
				'end' 					=> '',
				'directions' 			=> 'true'
			), $atts ) );
			
			$append = $id . '_' . $i;
			
			ob_start();
					
			echo '
				<div id="' .$append . '" class="map"></div>
				<script>
					var address = \'' . $address . '\';
					var map = new google.maps.Map(document.getElementById(\'' . $append . '\'), {
						mapTypeId: google.maps.MapTypeId.' . $maptype . ',
						zoom: 15
					});
					var geocoder = new google.maps.Geocoder();
					geocoder.geocode({
						\'address\': address
					},
					function(results, status) {
						if(status == google.maps.GeocoderStatus.OK) {
						// Define Styles
							var styles = [
							  {
								stylers: [
								  { hue: "' . $color . '" },
								  { saturation: -50 }
								]
							  },{
								featureType: "road",
								elementType: "geometry",
								stylers: [
								  { lightness: 100 },
								  { visibility: "simplified" }
								]
							  }
							];
							map.setOptions({styles: styles});
						// Show Marker
							var marker = new google.maps.Marker({
								position: results[0].geometry.location,
								icon:\'' . get_template_directory_uri() . '/images/icons/marker.png\',
								map: map
							});
							map.setCenter(results[0].geometry.location);
							google.maps.event.addListener(marker,\'click\',function() {
								map.setZoom(18);
								map.setCenter(marker.getPosition());
							});
						}
					});
				</script>';
			
			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();

			return parse_shortcode_content( $nmp_shortcode );

		}
		add_shortcode( 'google_map', 'nmp_google_map_sc' );