<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Recent Posts [homepage count="5" type="" category="" offset="" ]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_homepage_sc( $atts, $content=null ) {
	
			STATIC $i = 1;
			$i++;
			
			global $post;
			
			extract( shortcode_atts( array(
				'class'				=> 'nmp_homepage',
				'title'				=> NULL,
				'offset'			=> NULL,
				'type'				=> NULL,
				'category'			=> NULL,
				'count'       		=> NULL
			), $atts ) );

			$append = $class . '_' . $i;
			
			// The Query Args

				$args = array( 
					'numberposts' 	=> $count, 
					'offset'        => $offset,
					'category_name' => $category,
					'orderby'		=> 'post_date',
					'order' 		=> 'DESC'
				);
			
			// The Query
			
				$recent_posts = get_posts( $args );
				
			// Total number of posts
			
				$numposts = count($recent_posts);	

			ob_start();
			
			
			// Display the posts
			
				switch ( $type ) {
					
					case 'featured':
						
						foreach( $recent_posts as $post ) {
												
							setup_postdata($post);

							$date			= nmp_human_date( $post->post_date );
							$comment_count 	= get_comments_number( $post->ID );
							$excerpt		= limit_chars( get_the_excerpt(), 160 ) . '...';
							$link			= get_permalink( $post->ID );
							$post_title 	= $post->post_title;
							
							echo '
							<div class="4u">
								<section class="' . $append . '">';
									
									if ( has_post_thumbnail( $post->ID ) ) {
														
										echo '<a href="' . $link . '" class="image image-fit">';
										nmp_thumbnail( 364, 120, 'shcw', 'top', 100 );
										echo '</a>';
															
									}
									
									echo '
									
									<h2><a href="' . $link . '">' . $post_title . '</a></h2>
									<p>' . $excerpt . '</p>
									<a href="' . $link . '" class="button">' . __( 'Continue reading', THEMENAME ) . '</a>
								</section>
							</div>
							';
												
						}
			
					
						break;
						
					case 'single':
						
						echo '<article class="box-featured-post">';
						
						foreach( $recent_posts as $post ) {
												
							setup_postdata($post);

								$date			= nmp_human_date( $post->post_date );
								$comment_count 	= get_comments_number( $post->ID );
								$excerpt		= limit_chars( get_the_excerpt(), 450 ) . '...';
								$link			= get_permalink( $post->ID );
								$post_title 	= $post->post_title;
								
										
								echo '
								
									<h2><a href="' . $link . '">' . $post_title . '</a></h2>
									<span class="date">' . $date . '</span>';
									
								if ( has_post_thumbnail( $post->ID ) ) {
														
									echo '<a href="' . $link . '" class="image image-fit">';
									nmp_thumbnail( 558, 200, 'shcw', 'top', 100 );
									echo '</a>';
															
								}										

								echo '
										<p>' . $excerpt . '</p>
										<a href="' . $link . '" class="button">' . __( 'Continue reading', THEMENAME ) . '</a>
								';
												
						}	
						
						echo '</article>';
						
						break;
						
					case 'normal':

						
						foreach( $recent_posts as $post ) {
												
							setup_postdata($post);

								$date			= nmp_human_date( $post->post_date );
								$comment_count 	= get_comments_number( $post->ID );
								$excerpt		= limit_chars( get_the_excerpt(), 160 ) . '...';
								$link			= get_permalink( $post->ID );
								$post_title 	= $post->post_title;
								
										
								echo '
									<article>';
									
										if ( has_post_thumbnail( $post->ID ) ) {
																
											echo '<a href="' . $link . '" class="image image-fit">';
											nmp_thumbnail( 151, 110, 'shcw', 'top', 100 );
											echo '</a>';
																	
										}	
										
										echo '
											<div>
												<h3><a href="' . $link . '">' . $post_title . '</a></h3>
												
												<p>' . $excerpt . '</p>
												<span class="date">' . $date . '</span>
											</div>
										</article>
									';
												
						}					
					
						break;
				
				
				}			
			

			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();
			
			return $nmp_shortcode;

		}
		add_shortcode( 'homepage', 'nmp_homepage_sc' );