<?php

	//////////////////////////////////////////////////////////////////////////////////////////////////////	
	// Recent Posts [posts count="5" container="unboxed" ]
	//////////////////////////////////////////////////////////////////////////////////////////////////////
	
		function nmp_posts_sc( $atts, $content=null ) {
	
			STATIC $i = 1;
			$i++;
			
			global $post;
			
			extract( shortcode_atts( array(
				'class'				=> 'nmp_posts',
				'title'				=> NULL,
				'subtitle'			=> NULL,
				'offset'			=> NMP_POSTS_OFFSET,
				'count'       		=> NMP_POSTS_NUM
			), $atts ) );

			$append = $class . '_' . $i;
			
			// The Query Args

				$args = array( 
					'numberposts' 	=> $count, 
					'offset'        => $offset,
					'orderby'		=> 'post_date',
					'order' 		=> 'DESC'
				);
			
			// The Query
			
				$recent_posts = get_posts( $args );
				
			// Total number of posts
			
				$numposts = count($recent_posts);			
		
			ob_start();
			
			echo '<div class="obj-recentPosts ' . $append . '">';
	
			if ( $title ) {
				
				if ( $subtitle )
					echo $title;
				else
					echo $title .'<br style="margin-bottom: 1em;" />';
				
			}

			if ( $subtitle )
				echo '<p class="subtitle">' . $subtitle . '</p>';
				
				
			echo '<ul class="style2 recent_posts">';				
		
			foreach( $recent_posts as $post ) {
							
				setup_postdata($post);

				$date			= nmp_human_date( $post->post_date );
				$comment_count 	= get_comments_number( $post->ID );
				$excerpt		= limit_chars( get_the_excerpt(), 160 ) . '...';
				$link			= get_permalink( $post->ID );
				$post_title 	= $post->post_title;
				
				echo '<li>';
				
				if ( has_post_thumbnail( $post->ID ) ) {
									
					echo '<div class="image-border"><span class="image image-full"><a href="#">';
					nmp_thumbnail( 400, 150, 'swch', 'top', 100 );
					echo '</a></span></div>';
										
				}				
				
				echo '<h3><a href="' . $link . '">' . $post_title . '</a></h3>';
				
				echo '
					<p class="post-content">' . $excerpt . '</p>
					<a href="' . $link . '" class="button">' . __( 'More Info', THEMENAME ) . '</a>
					</li>
				';
							
			}
			
			echo '</ul>';
						
			echo '</div>';

			$nmp_shortcode = ob_get_contents();
					
			ob_end_clean();
			
			return $nmp_shortcode;

		}
		add_shortcode( 'posts', 'nmp_posts_sc' );