<?php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
// Global Theme Settings 
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 	

	// General Variables
	
		define ( 'THEMENAME', 						'Chaturbate' );											// The name of this theme.
		define ( 'PREFIX', 							'nmpCB_' );												// Prefix for variables.

		
		if (!isset($pagenow)) { global $pagenow; }
    
		define ( 'NMP_CURR_PAGE', 					$pagenow );


    // Utilities
    
		define ( 'NMP_EXCERPT_L', 					'55' );				    								// excerpt length
 
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
// Widget / Shortcode defaults 
 ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
 
 
     // Twitter
		
		define ( 'NMP_TWITTER_USER', 				'4templates' );            								// Twitter user.
		define ( 'NMP_TWITTER_CLASS', 				'obj-recentTweets' );                      				// Container class.
		define ( 'NMP_TWITTER_ICON', 				'mini' );                      							// Icon Size ( mini - 24x24, normal - 48x48, bigger - 73x73 , original - full size )
		define ( 'NMP_TWITTER_NUM', 					'4' );                      							// Amount of tweeets to show
		define ( 'NMP_TWITTER_AVATAR', 				'0' );               									// Show the avatar

    // Flickr
    
		define ( 'NMP_FLICKR_TITLE', 				'Flickr' );       										// flickr widget title
		define ( 'NMP_FLICKR_USER', 					'25664079@N05' );            							// flickr widget user
		define ( 'NMP_FLICKR_CLASS', 				'obj-variableGallery' );                      			// Container class.		
		define ( 'NMP_FLICKR_NUM', 					'4' );                      							// flickr widget number shown
 
     // Search
    
		define ( 'NMP_SEARCH_TITLE', 				'Search' );       										// Search widget title
		define ( 'NMP_SEARCH_MODE', 					'normal' );            									// Search box display method.
 
     // Login
    
		define ( 'NMP_LOGIN_TITLE', 					'My Account' );       									// Login widget title
 
    // Recent Comments
    
		define ( 'NMP_COMMENTS_TITLE', 				__( 'Recent Comments', THEMENAME ) );					// recent comments widget title
		define ( 'NMP_COMMENTS_NUM', 				'5' );                  								// recent comments number shown
 
	// Recent Posts
    
		define ( 'NMP_POSTS_TITLE', 					__( 'Recent Posts', THEMENAME ) );						// recent posts widget title
		define ( 'NMP_POSTS_NUM', 					'5' );                  								// recent posts number shown
		define ( 'NMP_POSTS_OFFSET', 				0 );                      								// recent posts post offset
		
	// Pages
    
		define ( 'NMP_PAGES_TITLE', 					__( 'Pages', THEMENAME ) );								// Pages widget title
		define ( 'NMP_PAGES_SORTBY', 				'post_title' );                  						// Pages Sort mode ( post_title, menu_order )
 
	// Calendar
    
		define ( 'NMP_CALENDAR_TITLE', 				__( 'Calendar', THEMENAME ) );							// Calendar widget title
		
    // Custom Menu
    
		define ( 'NMP_CUSTOMMENU_TITLE', 			__( 'Custom Menu', THEMENAME ) );						// Custom Menu widget title
		
    // Tags
    
		define ( 'NMP_TAGS_TITLE', 					__( 'Categories', THEMENAME ) );						// Tag Cloud widget title		
		define ( 'NMP_TAGS_COUNT', 					0 );                      								// Show Category Count ( 0 False, 1 True )
		define ( 'NMP_TAGS_MODE', 					'list' );                      							// How to show the categories ( list, dropdown, tagcloud )	
		define ( 'NMP_TAGS_HIERARCHY', 				0 );                      								// Category Hieararchy ( 0 False, 1 True ).	
		define ( 'NMP_TAGS_ORDERBY', 				'ID' );                      							// Order Categories by ( ID, name, slug, count, term_group )
		define ( 'NMP_TAGS_ORDER', 					'ASC' );                      							// Sort Order ( ASC, DESC )
		define ( 'NMP_TAGS_MIN', 					8 );                      								// Minimimum font size for tags
		define ( 'NMP_TAGS_MAX', 					22 );                      								// Maximum font size for tags
	
	// Archives
	 
		define ( 'NMP_ARCHIVE_TITLE', 				__( 'Links', THEMENAME ) );								// Archives title				
		define ( 'NMP_ARCHIVE_COUNT', 				0 );                      								// Show Category Count ( 0 False, 1 True )
		define ( 'NMP_ARCHIVE_DROPDOWN', 			0 );                      								// Display as Dropdown ( 0 False, 1 True )

	// Links
	 
		define ( 'NMP_LINK_TITLE', 					__( 'Links', THEMENAME ) );								// Links title				
		define ( 'NMP_LINK_LIMIT', 					-1 );                      								// Amount of links to show
		define ( 'NMP_LINK_IMAGES', 					false );                      							// Display Images
		define ( 'NMP_LINK_RATING', 					false );                      							// Display Rating
		define ( 'NMP_LINK_DESCRIPTION', 			false );                      							// Display Description
		define ( 'NMP_LINK_NAME', 					true );                      							// Display Name
		define ( 'NMP_LINK_CATEGORY', 				false );                      							// Display Category	
		define ( 'NMP_LINK_ORDERBY', 				'name' );                      							// Order links by
		define ( 'NMP_LINK_ORDER', 					'ASC' );                      							// Order by		
		
	// Text Widget
	 
		define ( 'NMP_MULTI_TITLE', 					__( 'Text', THEMENAME ) );								// Text Widget title					

	// Text Widget
	 
		define ( 'NMP_AUTHOR_TITLE', 				__( 'Author', THEMENAME ) );							// Author Widget title			
		
	// Video Widget
	 
		define ( 'NMP_VIDEO_TITLE', 					__( 'Featured Video', THEMENAME ) );					// Video Widget title
	
	// Contact Info
		
		define ( 'NMP_INFO_TITLE', 					__( 'Contact Info', THEMENAME ) );						// Contact Info Widget title		
		define ( 'NMP_INFO_MODE', 					'normal' );												// Display mode ( normal, minimal )

    // Contact Form
    
		define ( 'NMP_CONTACT_FORM_TITLE', 			__( 'Contact Form', THEMENAME ) );    					// contact widget title
		define ( 'NMP_CONTACT_FORM_SUBJECT', 		get_option('blogname') . __( 'Contact Form', THEMENAME ) );  
		define ( 'NMP_CONTACT_FORM_EMAIL', 			get_option('admin_email') );    						// Default email address

    // Gallery
    
		define ( 'NMP_GALLERY_TITLE', 				'Gallery' );      										// gallery widget title
		define ( 'NMP_GALLERY_TYPE', 				'standard' );      										// Gallery Display ( standard, variable ).
		define ( 'NMP_GALLERY_WIDTH', 				300 );                   								// gallery widget image width
		define ( 'NMP_GALLERY_COUNT', 				-1 );                									// gallery widget total number of pics to show
		define ( 'NMP_GALLERY_QUALITY', 				100 );             										// gallery widget image quality
		define ( 'NMP_GALLERY_CROP', 				'swsh' );                 								// Crop type
		define ( 'NMP_GALLERY_ANCHOR', 				'center' );             								// Crop Anchor 
		
	// Testimonials
    
		define ( 'NMP_TESTIMONIAL_TITLE', 			'Testimonial' );      									// Testimonial widget title
		define ( 'NMP_TESTIMONIAL_COUNT', 			-1 );                									// total amount of testimonials to show.
    			
   
		