<?php


	// Register Custom Menus
	
		register_nav_menus( array ( 
			'primary' => __( 'Primary Navigation', THEMENAME ), 
		) );
		
		
	// If custom menu exists print it, otherwise show the default wp_page_menu
	
		function nmp_menu() {
		
			if ( function_exists( 'wp_nav_menu' ) ) {
			
			wp_nav_menu( array( 
				'container_class' 	=> 'menu', 
				'container_id' 		=> '',
				'menu_id' 			=> '',
				'theme_location' 	=> 'primary', 
				'depth'				=> 0,
				'fallback_cb'     	=> 'nmp_fallbackMenu'
			) );
				
			} else {
			
				nmp_fallbackMenu();
				
			}
			
		}
		
	// Arguments for wp_page_menu
	
		function nmp_fallbackMenu() {
		
			wp_page_menu( array( 
				'show_home'			=> __( 'Home',THEMENAME ), 
				'sort_column' 		=> 'menu_order' 
			) );
			
		}		
		

	// Replace div with nav
		
		function nmp_dropclass( $liclass ) {
		
			return preg_replace( '<div class="menu">', 'nav id="nav" class="" ', $liclass, 1 );
			
		}
		add_filter( 'wp_page_menu','nmp_dropclass' );	
		add_filter( 'wp_nav_menu','nmp_dropclass' );
		
		function nmp_dropclass2( $liclass ) {
		
			return preg_replace( '</div>', '/nav', $liclass, 1 );
			
		}
		add_filter( 'wp_page_menu','nmp_dropclass2' );	
		add_filter( 'wp_nav_menu','nmp_dropclass2' );


		function nmp_linkclass( $liclass ) {
		
			return preg_replace( '<ul class=\'xoxo blogroll\'>', 'ul class="style1"', $liclass, 1 );
			
		}
		add_filter( 'wp_list_bookmarks','nmp_linkclass' );	
	
		
		
	// Add class to prev and next posts links.
	
		function nmp_ppl_l( $class ) {
		
			return 'class="button prev alignleft"';
			
		}
		function nmp_ppl_r( $class ) {
		
			return 'class="button next alignright"';
			
		}			
		add_filter('next_posts_link_attributes','nmp_ppl_r');
		add_filter('previous_posts_link_attributes','nmp_ppl_l');
		

		
?>