jQuery.fn.exists = function() { return (jQuery(this).length > 0); }


/*********************************************************************************/
/* Settings                                                                      */
/*********************************************************************************/

	var _settings = {

		// dropotron
			dropotron: {
				offsetY: 0,
				mode: 'fade',
				noOpenerFade: true
			},

		// skelJS
			skelJS: {
				prefix: 'http://wptubethemes.localhost/wp-content/themes/chaturbate/css/style',
				resetCSS: true,
				boxModel: 'border',
				containers: 1200,
				breakpoints: {
					'wide': { range: '*', containers: 1200, hasStyleSheet: false },
					'normal': { range: '-1280', containers: 1000 },
					'narrow': { range: '-1080', containers: '95%' },
					'mobile': { range: '-768', lockViewport: true, containers: '90%', grid: { collapse: true, gutters: 20 } }
				}
			},

		// skelJS Plugins
			skelJSPlugins: {
				panels: {
					useTransform: false,
					panels: {
						navPanel: {
							breakpoints: 'mobile',
							position: 'top',
							style: 'push',
							size: 310,
							html: '<div data-action="navList" data-args="nav"></div>'
						}
					},
					overlays: {
						titleBar: {
							breakpoints: 'mobile',
							position: 'top-center',
							width: 90,
							height: 40,
							html: '<span class="toggle" data-action="togglePanel" data-args="navPanel"></span>'
						}
					}
				}
			}

	};
	
	
/*********************************************************************************/
/* jQuery Plugins                                                                */
/*********************************************************************************/

	// formerize
		jQuery.fn.n33_formerize=function(){var _fakes=new Array(),_form = jQuery(this);_form.find('input[type=text],textarea').each(function() { var e = jQuery(this); if (e.val() == '' || e.val() == e.attr('placeholder')) { e.addClass('formerize-placeholder'); e.val(e.attr('placeholder')); } }).blur(function() { var e = jQuery(this); if (e.attr('name').match(/_fakeformerizefield$/)) return; if (e.val() == '') { e.addClass('formerize-placeholder'); e.val(e.attr('placeholder')); } }).focus(function() { var e = jQuery(this); if (e.attr('name').match(/_fakeformerizefield$/)) return; if (e.val() == e.attr('placeholder')) { e.removeClass('formerize-placeholder'); e.val(''); } }); _form.find('input[type=password]').each(function() { var e = jQuery(this); var x = jQuery(jQuery('<div>').append(e.clone()).remove().html().replace(/type="password"/i, 'type="text"').replace(/type=password/i, 'type=text')); if (e.attr('id') != '') x.attr('id', e.attr('id') + '_fakeformerizefield'); if (e.attr('name') != '') x.attr('name', e.attr('name') + '_fakeformerizefield'); x.addClass('formerize-placeholder').val(x.attr('placeholder')).insertAfter(e); if (e.val() == '') e.hide(); else x.hide(); e.blur(function(event) { event.preventDefault(); var e = jQuery(this); var x = e.parent().find('input[name=' + e.attr('name') + '_fakeformerizefield]'); if (e.val() == '') { e.hide(); x.show(); } }); x.focus(function(event) { event.preventDefault(); var x = jQuery(this); var e = x.parent().find('input[name=' + x.attr('name').replace('_fakeformerizefield', '') + ']'); x.hide(); e.show().focus(); }); x.keypress(function(event) { event.preventDefault(); x.val(''); }); });  _form.submit(function() { jQuery(this).find('input[type=text],input[type=password],textarea').each(function(event) { var e = jQuery(this); if (e.attr('name').match(/_fakeformerizefield$/)) e.attr('name', ''); if (e.val() == e.attr('placeholder')) { e.removeClass('formerize-placeholder'); e.val(''); } }); }).bind("reset", function(event) { event.preventDefault(); jQuery(this).find('select').val(jQuery('option:first').val()); jQuery(this).find('input,textarea').each(function() { var e = jQuery(this); var x; e.removeClass('formerize-placeholder'); switch (this.type) { case 'submit': case 'reset': break; case 'password': e.val(e.attr('defaultValue')); x = e.parent().find('input[name=' + e.attr('name') + '_fakeformerizefield]'); if (e.val() == '') { e.hide(); x.show(); } else { e.show(); x.hide(); } break; case 'checkbox': case 'radio': e.attr('checked', e.attr('defaultValue')); break; case 'text': case 'textarea': e.val(e.attr('defaultValue')); if (e.val() == '') { e.addClass('formerize-placeholder'); e.val(e.attr('placeholder')); } break; default: e.val(e.attr('defaultValue')); break; } }); window.setTimeout(function() { for (x in _fakes) _fakes[x].trigger('formerize_sync'); }, 10); }); return _form; };	
	
/*********************************************************************************/
/* Initialize                                                                    */
/*********************************************************************************/

	// skelJS
		skel.init(_settings.skelJS, _settings.skelJSPlugins);

	// jQuery
		jQuery(function() {
		
			var _body = jQuery('body'), _window = jQuery(window), _isTouch = !!('ontouchstart' in window);
		
			var $window = jQuery(window),
				_IEVersion = (navigator.userAgent.match(/MSIE ([0-9]+)\./) ? parseInt(RegExp.$1) : 99);
			

				
		// Hides iframes behind modals
				
			jQuery("iframe").each(function(){
				  var ifr_source = jQuery(this).attr('src');
				  var wmode = "wmode=transparent";
				  if(ifr_source.indexOf('?') != -1) jQuery(this).attr('src',ifr_source+'&'+wmode);
				  else $(this).attr('src',ifr_source+'?'+wmode);
			});	

		// Strip ul from comments
		
			jQuery('#comments ul').children().unwrap();
		
		// Accordians
		
			jQuery(".accordion").accordion({
				collapsible: true,
				heightStyle: "content"
			});
		
		// Tabs
		
			jQuery(".tabs, .tabpanel").tabs();
			
		// Offsite
			jQuery('a.offsite').attr('target', '_blank');
	
					
});

jQuery(window).load(function() {

	// Isotope
	
		jQuery('.isotope').show();
	
		jQuery('.isotope').isotope({
			itemSelector : '.element'
		});

		var iso_optionSets = jQuery('#options .option-set'),
        iso_optionLinks = iso_optionSets.find('a');

		iso_optionLinks.click(function(){
        var iso_this = jQuery(this);
		
        // don't proceed if already selected
		
        if ( iso_this.hasClass('selected') ) {
          return false;
        }
		
        var iso_optionSet = iso_this.parents('.option-set');
        iso_optionSet.find('.selected').removeClass('selected');
        iso_this.addClass('selected');
  
        // make option object dynamically, i.e. { filter: '.my-filter-class' }
		
        var options = {},
            key = iso_optionSet.attr('data-option-key'),
            value = iso_this.attr('data-option-value');
			
        // parse 'false' as false boolean
		
        value = value === 'false' ? false : value;
        options[ key ] = value;
		
        if ( key === 'layoutMode' && typeof changeLayoutMode === 'function' ) {
		
          // changes in layout modes need extra logic
		  
          changeLayoutMode( iso_this, options )
		  
        } else {
		
          // otherwise, apply new options
		  
          jQuery('.isotope').isotope( options );
		  
        }
        
        return false;
		
      });

});




